Skip to content
View as Markdown

POST Save Contact External View​

POST
/subscribers/{id}/external_view

Save data for an external profile section of a contact. The data handling is delegated to the registered section provider via the fluencrm_profile_section_save_{section_provider} filter hook.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"section_provider": "string",
"data": {
"additionalProperties": "string"
}
}

Responses​

Data saved successfully. Response structure depends on the section provider.

application/json
JSON
{
"additionalProperties": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI